# Class IllegalMonitorStateException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalMonitorStateException

All Implemented Interfaces:
  `Serializable`

public class IllegalMonitorStateException extends RuntimeException
Thrown to indicate that a thread has attempted to wait on an object's monitor or to notify other threads waiting on an object's monitor without owning the specified monitor.

Since:
  1.0
See Also:
  - `Object.notify()`
  - `Object.notifyAll()`
  - `Object.wait()`
  - `Object.wait(long)`
  - `Object.wait(long, int)`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IllegalMonitorStateException()`
  Constructs an `IllegalMonitorStateException` with no detail message.
  `IllegalMonitorStateException(String s)`
  Constructs an `IllegalMonitorStateException` with the specified detail message.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IllegalMonitorStateException

    public IllegalMonitorStateException()
    Constructs an `IllegalMonitorStateException` with no detail message.

  - ### IllegalMonitorStateException

    public IllegalMonitorStateException(String s)
    Constructs an `IllegalMonitorStateException` with the specified detail message.
    Parameters:
      `s` - the detail message.